Bug 124990 - Changing home directory location halts gnome login
Changing home directory location halts gnome login
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-01 16:14 EDT by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-09 14:59:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-06-01 16:14:03 EDT
Changing path to home directory causes hang just after login.

example:

/home/user1
login and all is ok

mv the directory to /home/group1/user1
change /etc/passwd to point to the new location
login to gnome

severe delays for example "Loading Metacity Window manager" takes
about 5 mins!

This does not happen with FC2

changing the directory and /etc/passwd back the way it was and
everything works fine. 

(Even if there is a workaround for this it would be helpful as i am
trying to consolidate a few machines with different /home locations)
Comment 1 Need Real Name 2004-06-03 07:52:09 EDT
most files created under .gnome2 have an absolute path (and probably
shouldn't?)

the error logging in was related to .gnome2/session

However this problem also occurs with the pannel and even aps like
gedit  (with .gnome2/gedit-metadata.xml)
Comment 2 Need Real Name 2004-06-03 09:57:49 EDT
also applies to FC2,

It would be great if gnome could get the path to the home directory
dynamically at session startup and use this variable for the location
to files.
Comment 3 Need Real Name 2004-06-09 14:59:58 EDT
Just so many apps use the absolute path pointing to the home directory
it just ain't worthwhile so I am removing this....

Note You need to log in before you can comment on or make changes to this bug.